Bug 499933 - backtrace from boot.iso from /net: 'internal error Domain rawhide0509 didn't show up
backtrace from boot.iso from /net: 'internal error Domain rawhide0509 didn't ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-08 23:23 EDT by Jens Petersen
Modified: 2009-07-03 08:40 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-03 08:40:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
qemu log (17.77 KB, text/plain)
2009-07-02 05:58 EDT, Kamil Dudka
no flags Details

  None (edit)
Description Jens Petersen 2009-05-08 23:23:41 EDT
Description of problem:
When I try to i

Version-Release number of selected component (if applicable):
virt-manager-0.7.0-4.fc11

Steps to Reproduce:
1. setup install from iso under /net
  
Actual results:
Unable to complete install '<class 'libvirt.libvirtError'> internal error Domain rawhide0509 didn't show up

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/create.py", line 1495, in do_install
    dom = guest.start_install(False, meter = meter)
  File "/usr/lib/python2.6/site-packages/virtinst/Guest.py", line 541, in start_install
    return self._do_install(consolecb, meter, removeOld, wait)
  File "/usr/lib/python2.6/site-packages/virtinst/Guest.py", line 633, in _do_install
    self.domain = self.conn.createLinux(install_xml, 0)
  File "/usr/lib/python2.6/site-packages/libvirt.py", line 974, in createLinux
    if ret is None:raise libvirtError('virDomainCreateLinux() failed', conn=self)
libvirtError: internal error Domain rawhide0509 didn't show up

'

Expected results:
No backtrace

Additional info:
It would be cool if virt-manager could post backtraces start to bugzilla like anaconda - unfortunately they are quite frequent.  Better might be to use a modern typed language what would hopefully avoid runtime errors.
Comment 1 Cole Robinson 2009-05-09 18:09:58 EDT
This means there was a problem launching a VM at the libvirt level. Can you post /var/log/libvirt/qemu/rawhide0509.log?

(In reply to comment #0)
> 
> Expected results:
> No backtrace
> 
> Additional info:
> It would be cool if virt-manager could post backtraces start to bugzilla like
> anaconda - unfortunately they are quite frequent.  Better might be to use a
> modern typed language what would hopefully avoid runtime errors.  

That last bit is FUD. Quickly scanning all the bugs you've ever filed againt virt-manager in fedora, there wasn't a single backtrace from a runtime error of the type you imply (syntax error for example): most appeared to be errors straight from libvirt, like the above.
Comment 2 Mark McLoughlin 2009-06-08 14:06:03 EDT
(In reply to comment #1)
> This means there was a problem launching a VM at the libvirt level. Can you
> post /var/log/libvirt/qemu/rawhide0509.log?

The information we've requested above is required in order to review this problem report further and diagnose or fix the issue if it is still present. Since it has been thirty days or more since we first requested additional information, we're assuming the problem is either no longer present in the current Fedora release, or that there is no longer any interest in tracking the problem. 

Setting status to "CLOSED: INSUFFICIENT_DATA". If you still experience this problem after updating to our latest Fedora release and can provide the information previously requested, please feel free to reopen the bug report.
Comment 3 Kamil Dudka 2009-07-02 05:58:43 EDT
Created attachment 350255 [details]
qemu log

I am experiencing the same problem. Looking at the log file it is caused by read-only location of installation medium. If I copy the image to local file system, it works just fine.

This may be not considered as internal error. It should either be possible to install from read-only file system or at least print appropriate error message instead of that trace-back.

Thanks in advance for considering it!
Comment 4 Mark McLoughlin 2009-07-03 08:40:46 EDT
Kamil: "Domain didn't show up" could be due to lots of different bugs, so please file your issue separately

libvir: Security Labeling error : SELinuxSetFilecon: unable to set security context 'system_u:object_r:virt_content_t:s0' on /mnt/globalsync/rhel/released/RHEL-5-Server/U3/x86_64/iso/RHEL5.3-Server-20090106.0-x86_64-DVD.iso: Read-only file system.
libvir: QEMU error : internal error Failed to set security label


It looks like your problem might be the same as bug #507555 so please try libvirt-0.6.2-13.fc11 from updates-testing before filing a new bug

Thanks!

Note You need to log in before you can comment on or make changes to this bug.